%global momorel 4
Summary:  Provides a functionality of one of NIDS components
Name: libnids
Version: 1.23
Release : %{momorel}m%{?dist}
License: GPL
URL: http://libnids.sourceforge.net/
Group: Development/Libraries
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
NoSource: 0
Patch0: libnids-1.23-gcc44.patch
BuildRequires: glib2-devel
BuildRequires: libnet-devel
BuildRequires: libpcap
BuildRequires: libtool
BuildRequires: pkgconfig
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Libnids is an implementation of an E-component of Network Intrusion
Detection System. It emulates the IP stack of Linux 2.0.x. Libnids
offers IP defragmentation, TCP stream assembly and TCP port scan
detection.

%package devel
Summary:	Development files for libnids
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package package includes header files and libraries necessary
for developing programs which use the libnids library. It contains
the API documentation of the library, too.

%prep
%setup -q
%patch0 -p1 -b .gcc44~
libtoolize --force

%build
%configure --enable-shared
make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%makeinstall
rm -f %{buildroot}%{_libdir}/libnids.a

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc CHANGES COPYING CREDITS MISC README
%{_libdir}/libnids.so.*

%files devel
%defattr(-,root,root)
%doc doc/* samples/
%{_libdir}/libnids.so
%{_includedir}/nids.h
%{_mandir}/man3/libnids.3*

%changelog
* Tue Jul 14 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.23-4m)
- fix BuildRequires

* Wed Jan 28 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.23-3m)
- apply gcc44 patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.23-2m)
- rebuild against rpm-4.6

* Wed Jul 23 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.23-1m)
- update to 1.23, sync with Fedora
- separate devel sub package

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.18-4m)
- rebuild against gcc43

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.18-3m)
- %%NoSource -> NoSource

* Sun Apr 18 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.18-2m)
- revise specfile and permissions of docdir

* Fri Oct 31 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.18-1m)
- Initial import.
